அங்கீகாரம்

ஒரு பியரர் டோக்கனாக (bearer token) ஒரு API விசையை அனுப்பவும். இந்த எண்ட்பாயிண்ட் அதன் விவரக்குறிப்பில் குறிப்பிட்ட அனுமதியைக் குறிப்பிடவில்லை, எனவே அனுமானங்களைச் செய்வதற்குப் பதிலாக, உங்கள் விசைக்குத் தேவையான குறைந்தபட்ச அனுமதியை வழங்கவும் மற்றும் பதிலைச் சரிபார்க்கவும்.

உங்கள் அமைப்பு ஐடி எங்கு செல்ல வேண்டும்

இந்த எண்ட்ஸ்பாயிண்ட் JSON பாடியில் உள்ள ஒரு புலமாக org_id-ஐ எடுத்துக்கொள்கிறது.

உங்கள் நிறுவன ஐடி உங்கள் டாஷ்போர்டில் உள்ள API விசைகள் திரையில், விசைக்கு அருகிலேயே உள்ளது. நீங்கள் செய்யும் ஒவ்வொரு அழைப்பிலும் இதுவே ஒரே ஐடி ஆகும்.

முயன்று பார்

கோண அடைப்புக்குறிகளில் உள்ள எதையும் உங்கள் சொந்த மதிப்புகளுடன் மாற்றவும், மேலும் விசை பிளேஸ்ஹோல்டரை உங்கள் டாஷ்போர்டில் உள்ள விசையுடன் மாற்றவும்.

curl -X POST https://api.zinndigital.com/v1/agency/time/rates \
  -H "Authorization: Bearer zdk_live_…" \
  -H "Content-Type: application/json" \
  -d '{ "scope": <string<task, project, client, org>>, "amount_minor": <integer>, "currency": <string>, "effective_from": <string> }'

உள்நுழைந்துள்ளீர்களா? உங்கள் டேஷ்போர்டில் உள்ள ஏபிஐ கன்சோல் உங்கள் உண்மையான நிறுவன ஐடி மற்றும் உங்கள் சொந்த சாவியை நிரப்புகிறது, மேலும் நேரலை ஏபிஐக்கு எதிராக கோரிக்கையை இயக்குகிறது, இதனால் நீங்கள் உண்மையான பதிலைக் காண முடியும். இந்த எண்ட்மார்க்கை ஏபிஐ கன்சோலில் திறக்கவும்

விவரங்கள்

`amount_minor` is the price of ONE HOUR for `kind: hourly`, and the price of the whole job for `kind: fixed`. ⛔ A fixed price is billed **once** for the task it is set on, however many hours are logged against it — the minutes are still recorded and reported, they simply do not each carry money. It is not "an hourly rate of zero".

கோரிக்கை உடல்

பெயர்வகைதேவைப்படுகிறதுஅது என்ன
scopestring<task, project, client, org>ஆம்
scope_idstringஇல்லை
kindstring<hourly, fixed>இல்லை
amount_minorintegerஆம்
currencystringஆம்
effective_fromstringஆம்
org_idstringஇல்லை

பதில்

பெயர்வகைதேவைப்படுகிறதுஅது என்ன
idstringஆம்
scopestring<task, project, client, org>ஆம்
scope_idstringஇல்லைThe task/project/client this applies to. `null` exactly when scope is `org`.
kindstring<hourly, fixed>ஆம்
amount_minorintegerஆம்Minor units. For `hourly`, the price of ONE HOUR — ⛔ never a price per minute, and never divided by 60 anywhere on this API.
currencystringஆம்
effective_fromstringஆம்Applies to work done on or after this date. Resolution is against the **work's** date, never today, so a rate rise does not re-price last month.
archivedbooleanஆம்

இந்த எண்ட்ஸ்பாயிண்ட் திரும்ப அனுப்பக்கூடிய பிழைகள்

401 · 403 · 422